Update owner by id
PUT
/api/owners/{id}
const url = 'https://api.getvespy.com/api/owners/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","fullName":"example","isActive":true,"phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.getvespy.com/api/owners/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "fullName": "example", "isActive": true, "phone": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Any of:
object
email
required
string format: email
fullName
string
isActive
boolean
phone
string
object
email
string format: email
fullName
required
string
isActive
boolean
phone
string
object
email
string format: email
fullName
string
isActive
boolean
phone
required
string
object
email
string format: email
fullName
string
isActive
required
boolean
phone
string
Examplegenerated
{ "email": "hello@example.com", "fullName": "example", "isActive": true, "phone": "example"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
notes
required
Array<object>
object
body
required
string
createdAt
required
string format: date-time
createdByUser
required
object
fullName
required
string
id
required
string format: uuid
createdByUserId
required
string format: uuid
entityId
required
string format: uuid
entityType
required
string
id
required
string format: uuid
visibility
required
string
owner
required
object
createdAt
required
string format: date-time
deletedAt
required
string format: date-time
email
required
string format: email
fullName
required
string
id
required
string format: uuid
isActive
required
boolean
organizationId
required
string format: uuid
phone
required
string
Example
{ "notes": [ { "entityType": "property", "visibility": "organization_only" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}